%define		plugin		smblink
Summary:	Plugin to make Windows Share Links globally accessible
Name:		dokuwiki-plugin-%{plugin}
Version:	20090209
Release:	2
License:	GPL v2
Group:		Applications/WWW
Source0:	http://doku-smblink.googlecode.com/files/smblink.zip
# Source0-md5:	b880e7d257904050c97396ffbd7a9d5e
Patch0:		syntax.1.patch
URL:		http://wiki.splitbrain.org/plugin:smblink
BuildRequires:	rpmbuild(macros) >= 1.553
BuildRequires:	unzip
Requires:	dokuwiki >= 20091225-7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dokuconf	/etc/webapps/dokuwiki
%define		dokudir	/usr/share/dokuwiki
%define		plugindir	%{dokudir}/lib/plugins/%{plugin}

%description
A replacement for DokuWiki's default Windows Share Link feature which
supports Firefox-like browsers.

This plugin replaces the default action of Windows Share Links (WSL)
to better support the Firefox browser.

%prep
%setup -qc
mv %{plugin}/* .
%undos *.php
%patch0 -p0

version=$(awk -F"'" '/date/{print $4}' syntax.php)
if [ "$(echo "$version" | tr -d -)" != %{version} ]; then
	: %%{version} mismatch
	exit 1
fi

cat <<'EOF' > script.js
addInitEvent(function() {
	// Reset warning as we now handle the links for all OS
	LANG['nosmblinks'] = '';
});
EOF

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{plugindir}
cp -a . $RPM_BUILD_ROOT%{plugindir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
# force css cache refresh
if [ -f %{dokuconf}/local.php ]; then
	touch %{dokuconf}/local.php
fi

%files
%defattr(644,root,root,755)
%dir %{plugindir}
%{plugindir}/*.php
%{plugindir}/*.js
%changelog
* Sat Jul 20 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dokuwiki-plugin-smblink.git;a=log;h=master

* Sat Jul 24 2010 Elan Ruusamäe <glen@pld-linux.org> 70e7e35
- remove unneccessary cruft, making plugin usable for all browsers

* Sat May 15 2010 sparky <sparky@pld-linux.org> e6cd729
- BR: unzip

* Thu Apr 29 2010 Elan Ruusamäe <glen@pld-linux.org> 09bdca3
- effors to disable nosmblinks warning

* Thu Apr 29 2010 Elan Ruusamäe <glen@pld-linux.org> dd58f1f
- new

